(function() {

  // Function-level strict mode syntax
  "use strict";

  /*-----------------------------------
      Mobile Navigation - Megamenu
  -----------------------------------*/
  if ($('.nav-menu').length) {
    var $mobile_nav = $('.nav-menu').clone().prop( {
      class: 'mobile-nav d-lg-none'
    });
    $('body').append($mobile_nav);
    $('body').prepend('<button type="button" class="mobile-nav-toggle d-lg-none"><i class="fa-solid fa-bars"></i></button>');
    $('body').append('<div class="mobile-nav-overly"></div>');

  $(document).on('click', '.mobile-nav-toggle', function(e) {
    $('body').toggleClass('mobile-nav-active');
    $('.mobile-nav-toggle i').toggleClass('fa-solid fa-xmark');
    $('.mobile-nav-overly').toggle();
  });

  // Hide dropdown menu on menu click
  $(document).on('click', '.mobile-nav .drop-down > a', function(e) {
    e.preventDefault();
    $(this).next().slideToggle(300);
    $(this).closest('li').siblings().find('ul').hide();
    $('li').not($(this).parent()).removeClass("active-drop-down");
    $(this).parent().toggleClass('active-drop-down');
  });

  // Hide dropdown menu on click outside
  if($(window).width() <= 991){
  $(document).on("click", function(event) {
    if(!$(event.target).closest(".drop-down").length) {
      $('li').not($(this).parent()).removeClass("active-drop-down");
      $(".drop-down-up").slideUp(300);
    }
  });
  }

  $(document).click(function(e) {
    var container = $(".mobile-nav, .mobile-nav-toggle");
    if (!container.is(e.target) && container.has(e.target).length === 0) {
      if ($('body').hasClass('mobile-nav-active')) {
        $('body').removeClass('mobile-nav-active');
        $('.mobile-nav-toggle i').toggleClass('fa-solid fa-xmark');
        $('.mobile-nav-overly').fadeOut();
      }
    }
  });
  } else if ($(".mobile-nav, .mobile-nav-toggle").length) {
    $(".mobile-nav, .mobile-nav-toggle").hide();
  }

  /*---------------------------------------------------------------------
      Toggle .header-scrolled class to #header when page is scrolled
  ---------------------------------------------------------------------*/
  let selectHeader = select('#header')
  if (selectHeader) {
    const headerScrolled = () => {
      if (window.scrollY > 100) {
        selectHeader.classList.add('header-scrolled')
      } else {
        selectHeader.classList.remove('header-scrolled')
      }
    }
    window.addEventListener('load', headerScrolled)
    onscroll(document, headerScrolled)
  }

})(jQuery);